      program RuggedLowT ! BB Jul 7 2008
      include '../../Libs/Fortran/implicit.sta'
      character cb*1
      parameter(n=100,nb=9,a=5.0,iuo=6,iud=9,isd1=1,isd2=3)
c     dimension c(nb),y(nb) ! nb number of branches.
      call rmaset(iuo,iud,isd1,isd2,"no file")
      do ib=1,nb
        write(cb,'(I1.1)') ib
        open(8,file="rlt"//cb//".d",form='formatted',status='unknown')
        c=1.0-2.0*rmafun()
        nn=1+int(2*n*rmafun())
        do i=-2*n,nn
          x=i*a/n
          y=c*htanp1(x)
          write(8,'(2F12.6)') x,y
        enddo
        close(8)
      enddo
      stop
      end

      function htanp1(x)
      htanp1=1.0+(exp(x)-exp(-x))/(exp(x)+exp(-x))
      return
      end
      
      include '../../Libs/Fortran/rmaset.f'
      include '../../Libs/Fortran/ranmar.f'
      include '../../Libs/Fortran/rmafun.f'
